Subject: Re: [PATCH v2 00/12] fsmonitor: Implement fsmonitor for Linux

From: Junio C Hamano <[email-masked]>
Date: Thu, 20 Oct 2022 15:01:57 -0700

Junio C Hamano <[email-masked]> writes:

> Glen Choo <[email-masked]> writes:
>
>> At $DAYJOB, we observed that this topic breaks MacOS builds with sha1dc:
>>
>>   $ make NO_APPLE_COMMON_CRYPTO=1 DC_SHA1=1 NO_OPENSSL=1 compat/fsmonitor/fsm-ipc-darwin.o  
>
> Glen, Ævar has cherry-picked the SHA_CTX -> git_SHA_CTX build fix
> and I have merged it to 'next'.  Can you test-build to see if that
> change is sufficient to fix "does not even build from the source"
> issue for you guys?  You do not have to go through any official full
> qualification cycle or release procedure---just checking that you
> would be OK when you need to do the build the next time before it
> has to happen is sufficient.
>
> Thanks.

FYI, https://github.com/git/git/actions/runs/3292710187 is a
successful (wow, what's a rare event these days) run of CI on 'seen'
that includes

 * Peff's -O0 fix for unconfusing LSan to prevent it from giving
   false positives

 * Eric DeCosta's change, cherry-picked by Ævar, to let fsmonitor
   stuff compile with sha1dc as well as Apple's Common Crypto.

 * A tweak to make one of the macOS CI jobs to build with sha1dc.

among all the other topics in flight.  I plan to merge all of them
to 'next' (I think the first two are already in 'next') and fast
track them down to 'master'.